Bug 14267 - default fs font path doesn't match default installed fonts, hangs Netscape
default fs font path doesn't match default installed fonts, hangs Netscape
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: netscape (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-19 02:08 EDT by Melanie Humphrey
Modified: 2014-03-16 22:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-19 02:08:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Melanie Humphrey 2000-07-19 02:08:26 EDT
It would appear that for Netscape 4.7x to work properly, among other
things, there must be an exact correspondence between fonts listed in the
fs catalogue and fonts actually installed. 

The default fs font list (in /etc/X11/fs/config) that ships with RedHat
6.2  includes /usr/share/fonts/default/Truetype in the catalogue. The
default RH 6.2 workstation install doesn't install these fonts, (they don't
seem to be on the CD at all) further exacerbating the 'Netscape hangs when
it can't find it's fonts' problem. Easiest fix: edit the config file,
remove the offending line, and restart X. Netscape 4.7x appears to be far
more stable after matching installed fonts to catalogued fonts. Perhaps
there are Truetype fonts out there, I've not had the time to look yet.

/msh
Comment 1 Bill Nottingham 2000-08-07 00:35:01 EDT
This shouldn't be a problem; netscape doesn't even know
what's in the font server's font path.

Note You need to log in before you can comment on or make changes to this bug.